<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | MCMS: a PHP Content Management System for creating accessible sites. |
// | Copyright (C) 2006  Silvio Moioli                                    |
// |                                                                      |
// | This program is free software; you can redistribute it and/or modify |
// | it under the terms of the GNU General Public License as published by |
// | the Free Software Foundation; either version 2 of the License, or    |
// | (at your option) any later version.                                  |
// |                                                                      |
// | This program is distributed in the hope that it will be useful,      |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
// | GNU General Public License for more details.                         |
// |                                                                      |
// | You should have received a copy of the GNU General Public License    |
// | along with this program; if not, write to the Free Software          |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 |
// +----------------------------------------------------------------------+
// | Authors: Silvio Moioli <silvio at moioli dot net> www.moioli.net     |
// +----------------------------------------------------------------------+
//
//$Id:
    require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/controller/all.inc";
    
    //Inizializzazione delle variabili
    $get = array();
    if (isset($_GET)){
        $get = $_GET;
    }
    $post = array();
    if (isset($_POST)){
        $post = $_POST;
    }
    $engine = new Engine();
    $authManager = new AuthManager($engine);
    $validator = new Validator($engine,$authManager);
    $dispatcher = new Dispatcher($engine,$authManager);
    $compiler = new Compiler();
    
    //Gestione dell'ActionEvent (se presente) 
    if (array_key_exists("action", $get)){
        $event = new ActionEvent($engine, $get, $post);
        $result = null;
        if ($validator->validate($event, $result)){
            //Tutto bene, gestisco
            $dispatcher->dispatch($event);
        }
        else{
            if (is_a($result,"Author")){
                //l'autore deve rifare il login
                $authManager->reLogin($result);
                exit();
            }
            elseif (is_a($result,"AdminError")){
                //si è verificato un errore, notifico
                $compiler->display($result);
                exit();
            }
        }
    }
    
    //Gestione del GoToEvent (se presente) 
    if (array_key_exists("goTo", $get)){
        $event = new GoToEvent($engine, $get, $post);
        $result = null;
        if ($validator->validate($event, $result)){
            //Tutto bene, gestisco
            $dispatcher->dispatch($event);
        }
        else{
            if (is_a($result,"Author")){
                //l'autore deve rifare il login
                $authManager->reLogin($result);
                exit();
            }
            elseif (is_a($result,"AdminError")){
                //si è verificato un errore, notifico
                $compiler->display($result);

            }
        }
    }
    
    $engine->disconnect();
?>