<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | MCMS: a PHP Content Management System for creating accessible sites. |
// | Copyright (C) 2006  Silvio Moioli                                    |
// |                                                                      |
// | This program is free software; you can redistribute it and/or modify |
// | it under the terms of the GNU General Public License as published by |
// | the Free Software Foundation; either version 2 of the License, or    |
// | (at your option) any later version.                                  |
// |                                                                      |
// | This program is distributed in the hope that it will be useful,      |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
// | GNU General Public License for more details.                         |
// |                                                                      |
// | You should have received a copy of the GNU General Public License    |
// | along with this program; if not, write to the Free Software          |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 |
// +----------------------------------------------------------------------+
// | Authors: Silvio Moioli <silvio at moioli dot net> www.moioli.net     |
// +----------------------------------------------------------------------+
//
//$Id:

/** Carica la classe base degli eventi */
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/controller/Event.php";
/** Carica il modello dei dati */
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/model/all.inc";

/**
 * Evento di cambiamento di pagina in MCMS.
 * 
 * @package MCMS
 * @author Silvio Moioli
 * @version 2
 */
class ActionEvent extends Event
{
    /** @var string il nome dell'azione da effettuare */
    var $action = null;
    
    /**
     * Costruttore standard.
     *
     * @param array $post i parametri POST della richiesta
     * @param array $get i parametri GET della richiesta
     */
    /*abstract*/ function ActionEvent($engine, $post, $get)
    {
         $this->Event($engine,$post,$get);
         $this->action=$this->parameters["action"];
    }
    
    /**
     * Ritorna il nome dell'azione di questo evento
     * 
     * @return string l'azione
     */
    function getAction(){
        return $this->action;
    }
}