<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | MCMS: a PHP Content Management System for creating accessible sites. |
// | Copyright (C) 2006  Silvio Moioli                                    |
// |                                                                      |
// | This program is free software; you can redistribute it and/or modify |
// | it under the terms of the GNU General Public License as published by |
// | the Free Software Foundation; either version 2 of the License, or    |
// | (at your option) any later version.                                  |
// |                                                                      |
// | This program is distributed in the hope that it will be useful,      |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
// | GNU General Public License for more details.                         |
// |                                                                      |
// | You should have received a copy of the GNU General Public License    |
// | along with this program; if not, write to the Free Software          |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 |
// +----------------------------------------------------------------------+
// | Authors: Silvio Moioli <silvio at moioli dot net> www.moioli.net     |
// +----------------------------------------------------------------------+
//
//$Id:
/**
 * Classe per la creazione della mappa di un sito gestito da MCMS.
 *
 * @package  MCMS
 * @version  2
 * @author   Silvio Moioli <silvio at moioli dot net>
 */

/** Carica la classe base di MCMS per l'interfacciamento al Database */
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/model/Engine.php";
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/view/UserMap.php";

/**
 * Classe per la creazione della mappa di un sito gestito da MCMS.
 * Il componente  composto da questo file e dal file viewMap.php
 * nella cartella principale del progetto.
 *
 * @package  MCMS
 * @version  2
 * @author   Silvio Moioli <silvio at moioli dot net>
 */
class sitemap extends Component
{
    /**
     * Scritto solo per la concatenazione dei costruttori.
     *
     */
    function MCMS_map(){
        $this->Component();
    }

    /**
     * Ritorna il nome di questo componente.
     *
     * @return string il nome del componente
     */
    function getName(){
        return "Mappa del sito";
    }

    /**
     *
     * Questo componente non ha bisogno di inizializzazione,
     * perci questo metodo  vuoto.
     *
     * @param Engine $engine il motore di MCMS
     */
    function init($engine){
    }

    /**
     *
     * Aggiunge la voce di menu per la mappa del sito (a tutte le
     * pagine).
     *
     * @param string $contents i contenuti della pagina da modificare
     * @param array $menuEntries il menu della pagina
     * @param string $title il titolo della pagina da modificare
     * @param Site $site il sito corrente
     */
    function applyComponent(&$contents, &$menuEntries, &$title,
        &$description, $site){
        $siteID = $site->getID();
        $menuEntries [] = "<p>Ti sei perso? Vai alla ".
        "<a href=\"/mappa___$siteID.html\">Mappa del sito</a></p>";
    }
    
    /**
     * Salva la pagina XHTML della mappa del sito.
     *
     * @param Site $site il sito corrente
     * @param Compiler $compiler l'oggetto per il salvataggio dei file
     * @see Component
     */
    function saveFiles($site, $compiler){
        $compiler->save(new UserMap($site));
    }
}
?>
