<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | MCMS: a PHP Content Management System for creating accessible sites. |
// | Copyright (C) 2006  Silvio Moioli                                    |
// |                                                                      |
// | This program is free software; you can redistribute it and/or modify |
// | it under the terms of the GNU General Public License as published by |
// | the Free Software Foundation; either version 2 of the License, or    |
// | (at your option) any later version.                                  |
// |                                                                      |
// | This program is distributed in the hope that it will be useful,      |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
// | GNU General Public License for more details.                         |
// |                                                                      |
// | You should have received a copy of the GNU General Public License    |
// | along with this program; if not, write to the Free Software          |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 |
// +----------------------------------------------------------------------+
// | Authors: Silvio Moioli <silvio at moioli dot net> www.moioli.net     |
// +----------------------------------------------------------------------+
//
//$Id:

/** Importa la classe di base per l'interfaccia utente (autore) */
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/view/AdminPage.php";
/** Importa la libreria per semplificare l'aggiunta di tag XML */
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/view/Tagger.php";

/**
 * La pagina con il form per l'aggiunta di un nuovo autore.
 * 
 * @package  MCMS
 * @version  2
 * @author   Silvio Moioli <silvio at moioli dot net>
 */
class AdminAddAuthor extends AdminPage
{
    /** @var string nome proposto all'utente per questo autore */
    var $defaultName = "Mario";
    /** @var string cognome proposto all'utente per questo autore */
    var $defaultSurname = "Mario";
    /** @var string nickname proposto all'utente per questo autore */
    var $defaultNick = "Supermario";
    /** @var string email proposta all'utente per questo autore */
    var $defaultEmail = "mario@miosito.it";
    /** @var string password proposta all'utente per questo autore */
    var $defaultPassword = "abc";
    
    /**
     * Costruttore di default
     *
     * @see AdminPage
     */
    function AdminAddAuthor()
    {
        parent::AdminPage();
    }
        
    /**
     * Cambia il nome proposto all'utente per questa sezione
     *
     * @param string $defaultName il nuovo titolo
     */
    function setDefaultName($defaultName){
        $this->defaultName = $defaultName;
    }
    
    /**
     * Cambia il cognome proposto all'utente per questa sezione
     *
     * @param string $defaultSurname il nuovo titolo
     */
    function setDefaultSurname($defaultSurname){
        $this->defaultSurname = $defaultSurname;
    }
    
    /**
     * Cambia il nickname proposto all'utente per questa sezione
     *
     * @param string $defaultNick il nuovo titolo
     */
    function setDefaultNick($defaultNick){
        $this->defaultNick = $defaultNick;
    }
   
    /**
     * Cambia l'indirizzo email proposto all'utente per questa sezione
     *
     * @param string $defaultEmail il nuovo titolo
     */
    function setDefaultEmail($defaultEmail){
        $this->defaultEmail = $defaultEmail;
    }
    
    /**
     * Ritorna il titolo (in XHTML) di questa pagina.
     *
     * @return string una stringa XHTML rappresentante il titolo della pagina
     * @see Compilable
     */
    function getTitle()
    {
        $title = a("do.php?goTo=AdminIndex", "Login al Progettista").
            " > Nuovo autore";
        return $title;
    }
    
    /**
     * Ritorna un array di stringhe XHTML relative al menu (barra di navigazione)
     * di questa pagina.
     *
     * @return array vettore di stringhe XHTML rappresentante il menu della pagina
     * @see Compilable
     */
    function getMenuEntries()
    {
        $menuEntries = array(p(a("do.php?goTo=AdminIndex",
            "Login al Progettista")));
        return $menuEntries;
    }
    
    /**
     * Ritorna il contenuto (XHTML) del corpo di questa pagina.
     *
     * @return string la stringa XHTML rappresentante il corpo della pagina
     * @see Compilable
     */
    function getContents()
    {
        $contents = h1("Ci sono anch&#039;io!");
        $contents .= p("Il Progettista &egrave; sempre lieto di ricevere 
            nuove persone che lavorino ai suoi siti. Ti chiede solo qualche 
            dettaglio personale, per identificarti poi sulle pagine che 
            scriverai.");
        $contents .= "Per favore, immetti il tuo:".br();
        $form = "Nome: ".input("text", "name", $this->defaultName).br();
        $form .= "Cogome: ".input("text", "surname", $this->defaultSurname).br();
        $form .= "Nickname Internet o soprannome: ".input("text", "nick", 
            $this->defaultNick).br();
        $form .= "Indirizzo email: ".input("text", "email", $this->defaultEmail).br();
        $form .= "Password per MCMS: ".input("password", "password",
            $this->defaultPassword).br();
        $form .= b("ATTENZIONE:")." quando ti verr&agrave; richiesto, inserisci
        questa password per accedere al Progettista!".br();
        $form .= p("Quando hai finito, clicca sul bottone qui sotto:".submit());
        
        $contents .= form("do.php?action=addAuthor&amp;goTo=AdminMain",
        "POST",$form);
        
        return $contents;
    }
}
?>
