<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | MCMS: a PHP Content Management System for creating accessible sites. |
// | Copyright (C) 2006  Silvio Moioli                                    |
// |                                                                      |
// | This program is free software; you can redistribute it and/or modify |
// | it under the terms of the GNU General Public License as published by |
// | the Free Software Foundation; either version 2 of the License, or    |
// | (at your option) any later version.                                  |
// |                                                                      |
// | This program is distributed in the hope that it will be useful,      |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
// | GNU General Public License for more details.                         |
// |                                                                      |
// | You should have received a copy of the GNU General Public License    |
// | along with this program; if not, write to the Free Software          |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 |
// +----------------------------------------------------------------------+
// | Authors: Silvio Moioli <silvio at moioli dot net> www.moioli.net     |
// +----------------------------------------------------------------------+
//
//$Id:

/** Importa la classe di base per l"interfaccia utente (autore) */
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/view/AdminPage.php";
/** Importa la libreria per semplificare l"aggiunta di tag XML */
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/view/Tagger.php";

/**
 * Rappresenta la pagina indice, permette di fare il login o creare un nuovo autore.
 * 
 * @package  MCMS
 * @version  2
 * @author   Silvio Moioli <silvio at moioli dot net>
 */
class AdminIndex extends AdminPage
{
    /** @var Engine l'oggetto per la comunicazione al Database */
    var $engine = null;
    
    /**
     * Costruttore di default
     *
     * @see AdminPage
     * @param Engine $engine l'oggetto per la comunicazione al Database
     */
    function AdminIndex($engine)
    {
        parent::AdminPage();
        $this->engine = $engine;
    }
    
    /**
     * Ritorna il titolo (in XHTML) di questa pagina.
     *
     * @return string una stringa XHTML rappresentante il titolo della pagina
     * @see Compilable
     */
    function getTitle()
    {
        return "Login al Progettista";
    }
    
    /**
     * Ritorna un array di stringhe XHTML relative al menu (barra di navigazione)
     * di questa pagina.
     *
     * @return array vettore di stringhe XHTML rappresentante il menu della pagina
     * @see Compilable
     */
    function getMenuEntries()
    {
        return array();
    }
    
    /**
     * Ritorna il contenuto (XHTML) del corpo di questa pagina.
     *
     * @return string la stringa XHTML rappresentante il corpo della pagina
     * @see Compilable
     */
    function getContents()
    {
        $contents = h1("Chi sei?");
        $contents .= p("Per lavorare con il Progettista,
         devi farti riconoscere! Ecco gli autori che il Progettista conosce:");
        
        $authors = $this->engine->getAuthors();
        $listElements = "";
        foreach ($authors as $i) {
            $listElements .= li(a("do.php?authorID=".$i->getID().
                "&amp;goTo=AdminMain",
                getAuthorSignature($i)));
        }
        $contents .= ul($listElements);
        $contents .= h2(a("do.php?goTo=AdminAddAuthor","Non sono
                    nella lista, sono nuovo!"));
        return $contents;
    }
}
?>
