<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | MCMS: a PHP Content Management System for creating accessible sites. |
// | Copyright (C) 2006  Silvio Moioli                                    |
// |                                                                      |
// | This program is free software; you can redistribute it and/or modify |
// | it under the terms of the GNU General Public License as published by |
// | the Free Software Foundation; either version 2 of the License, or    |
// | (at your option) any later version.                                  |
// |                                                                      |
// | This program is distributed in the hope that it will be useful,      |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
// | GNU General Public License for more details.                         |
// |                                                                      |
// | You should have received a copy of the GNU General Public License    |
// | along with this program; if not, write to the Free Software          |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 |
// +----------------------------------------------------------------------+
// | Authors: Silvio Moioli <silvio at moioli dot net> www.moioli.net     |
// +----------------------------------------------------------------------+
//
//$Id:

require_once $_SERVER["DOCUMENT_ROOT"]."/admin/include/smarty/libs/Smarty.class.php";
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/include/fckeditor/fckeditor.php";
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/view/Compilable.php";
require_once $_SERVER["DOCUMENT_ROOT"]."/admin/lib/view/Tagger.php";

/**
 * Classe astratta che rappresenta una pagina di configurazione del sistema.
 *
 */
/*abstract*/ class AdminPage extends Compilable
{
    /**
     * Costruttore di default
     *
     */
    function AdminPage()
    {
        parent::Compilable();
    }
    
    /**
     * Le pagine di configurazione non hanno descrizione (per ora),
     * ritorna una stringa vuota.
     *
     * @return string una stringa vuota
     */
    function getDescription()
    {
        return "";
    }
    
    /**
     * Le pagine di configurazione non hanno parole chiave (in quanto non devono
     * essere indicizzate), ritorna una stringa vuota.
     *
     * @return string una stringa vuota
     */
    function getKeywords()
    {
        return "";
    }
    
    /**
     * Le pagine di configurazione usano un template unico.
     *
     * @return string il nome del file del template
     */
    function getTemplate()
    {
        return "adminTemplate.tpl";
    }
    
    /**
     * Le pagine di configurazione non utilizzano plugin (al momento).
     *
     * @return un array vuoto
     * @see Compilable
     */
    function getComponents()
    {
        return array();
    }
}
?>
